/*
 * File:	am35xDHCOMgpios.h
 *
 * Date:	2012-08-22
 * Company:	DH electronics GmbH
 * Author:	Ludwig Zenz, lzenz@dh-electronics.de
 */

#ifndef AM35XDHCOMGPIOS_H_
#define AM35XDHCOMGPIOS_H_

/*
 * DHCOM Standard GPIO to omap3/am35x gpio numbers mapping
 */

#define DHCOM_GPIO_A 	116
#define DHCOM_GPIO_B 	117
#define DHCOM_GPIO_C 	118
#define DHCOM_GPIO_D 	119
#define DHCOM_GPIO_E 	125
#define DHCOM_GPIO_F 	140
#define DHCOM_GPIO_G 	141
#define DHCOM_GPIO_H 	155
#define DHCOM_GPIO_I 	152

/*
 * additional GPIOx (extended DHCOM Standard)
 */

#define DHCOM_GPIO_J  	96
#define DHCOM_GPIO_K  	94
#define DHCOM_GPIO_L 	58
#define DHCOM_GPIO_M 	97
#define DHCOM_GPIO_N 	98
#define DHCOM_GPIO_O 	95
#define DHCOM_GPIO_P 	106
#define DHCOM_GPIO_Q 	105
#define DHCOM_GPIO_R 	104
#define DHCOM_GPIO_S 	103
#define DHCOM_GPIO_T 	102
#define DHCOM_GPIO_U 	101
#define DHCOM_GPIO_V 	100
#define DHCOM_GPIO_W 	99


#endif /* AM35XDHCOMGPIOS_H_ */
